OpenOffice.org compiling problems

DJ Lucas dj at linuxfromscratch.org
Sun Mar 5 13:16:57 PST 2006


Martin McCourt wrote:
> I'm trying to build OOo from scratch, googled and patched  my way through 
> several problems, and now I'm absolutely stuck here.  Just wondering if the 
> following looks familiar to anybody, or if I'm the only one :(:
> 
> <---snip--->
> =============
> Building project odk
> =============
> /sources/OOA680_m1/odk/pack/unzip_udk
> /sources/OOA680_m1/odk/source/com/sun/star/lib/loader
> Not building javaunohelper because Java is disabled
> /sources/OOA680_m1/odk/source/unoapploader/unx
> -------------
> /sources/OOA680_m1/odk/pack/copying
> cd ../../unxlngi6.pro/bin/odkcommon/classes && zip -u 
> -r ../../../bin/uno_loader_classes com/* win/*
> dmake:  Error code 12, while making 
> '../../unxlngi6.pro/bin/uno_loader_classes.zip'
> '---* RULES.MK *---'
> 
> ERROR: Error 65280 occurred while making /sources/OOA680_m1/odk/pack/copying
> dmake:  Error code 1, while making 'build_instsetoo_native'
> '---* tg_merge.mk *---'
> <--- snip --->
> 
> My configure command looks like this if it's worth anything to anyone:
> ./configure --prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin \
> --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var \
> --libdir=/usr/lib --includedir=/usr/include --mandir=/usr/man \
> --x-includes=/usr/X11R7/include --x-libraries=/usr/lib/X11 \
> --disable-mozilla --disable-epm --disable-odk --disable-qadevooo \
> --disable-fontooo --disable-mathmldtd --enable-evolution2 \
> --disable-directx --disable-gnome-vfs --enable-kde --disable-binfilter \
> --disable-rpath --with-system-stdlibs --with-system-libs --without-java \
> --with-x
> 
> I only observed 2 warnings from configure, which I think I can live with:
> - building without java will mean some features will not be available
> - to prevent incompatibilities between internal libxml2 and xsltproc, the 
> office will be build with system-libxml
> 
> I found it interesting that it's still "Building project odk" even though I 
> specified "--disable-odk" in my configure command.  Thoughts or suggestions?
> 
> Thanks in advance!
> Marty
> 

I'm not honestly sure that disabling java is possible without some 
serious patching.  I've never been successful with it...which is why Ant 
is listed as a _required_ dependency in BLFS.  Sorry, I only had time 
for around 25 or so complete builds. :-)  All previous attempts have 
failed at least for me.  But looking at where you are now, it's a lot 
furthur than in 2.0.0, you're about half way done.  I'd take a look at 
the the patches in ooobuild http://ooo.ximian.com , and see if there are 
java/nojava related patches in the src680 dir, though nothing jumps out 
at me immediately.  http://ooo.ximian.com/patches/src680/

Hope that helps a little bit anyway.

-- DJ Lucas




More information about the blfs-support mailing list